---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: my-go-app
  name: my-go-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: my-go-app
  template:
    metadata:
      labels:
        app: my-go-app
    spec:
      containers:
      - image: registry.gitlab.com/atorico.at/k8s-datastore/jsonexample
        name: jsonexample
        ports:
          - containerPort: 3333
        resources:
          requests:
            cpu: 100m
            memory: 128M
          limits:
            cpu: 100m
            memory: 128M
status: {}
